<?php
/**
 * The template for displaying Archive pages
 *
 * @package WordPress
 * @subpackage Apricot
 * @since Apricot 1.0
 */
?>

<?php get_header(); ?>

<div id="content" class="row">

	<div class='<?php echo $sidebar_archive==true ? 'large-9' : 'large-12'; ?> column list-posts'>
		<div id='archive-head' class='card'>
			<h2>
				<?php
				if ( is_category() ) {
					$title = sprintf( __( '<span class="label-right">Category</span>%s' ), single_cat_title( '', false ) );
				} elseif ( is_tag() ) {
					$title = sprintf( __( '<span class="label-right">Tag</span>%s' ), single_tag_title( '', false ) );
				} elseif ( is_author() ) {
					$title = sprintf( __( '<span class="label-right">Author</span>%s' ), '<span class="vcard">' . get_the_author() . '</span>' );
				} elseif ( is_year() ) {
					$title = sprintf( __( '<span class="label-right">Year</span>%s' ), get_the_date( _x( 'Y', 'yearly archives date format','apricot' ) ) );
				} elseif ( is_month() ) {
					$title = sprintf( __( '<span class="label-right">Month</span>%s' ), get_the_date( _x( 'F Y', 'monthly archives date format','apricot' ) ) );
				} elseif ( is_day() ) {
					$title = sprintf( __( '<span class="label-right">Day</span>%s' ), get_the_date( _x( 'F j, Y', 'daily archives date format','apricot' ) ) );
				} elseif ( is_tax( 'post_format' ) ) {
					if ( is_tax( 'post_format', 'post-format-aside' ) ) {
						$title = _x( 'Asides', 'post format archive title','apricot' );
					} elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) {
						$title = _x( 'Galleries', 'post format archive title','apricot' );
					} elseif ( is_tax( 'post_format', 'post-format-image' ) ) {
						$title = _x( 'Images', 'post format archive title','apricot' );
					} elseif ( is_tax( 'post_format', 'post-format-video' ) ) {
						$title = _x( 'Videos', 'post format archive title','apricot' );
					} elseif ( is_tax( 'post_format', 'post-format-quote' ) ) {
						$title = _x( 'Quotes', 'post format archive title','apricot' );
					} elseif ( is_tax( 'post_format', 'post-format-link' ) ) {
						$title = _x( 'Links', 'post format archive title','apricot' );
					} elseif ( is_tax( 'post_format', 'post-format-status' ) ) {
						$title = _x( 'Statuses', 'post format archive title','apricot' );
					} elseif ( is_tax( 'post_format', 'post-format-audio' ) ) {
						$title = _x( 'Audio', 'post format archive title','apricot' );
					} elseif ( is_tax( 'post_format', 'post-format-chat' ) ) {
						$title = _x( 'Chats', 'post format archive title','apricot' );
					}
				} elseif ( is_post_type_archive() ) {
					$title = sprintf( __( 'Archives: %s','apricot' ), post_type_archive_title( '', false ) );
				} elseif ( is_tax() ) {
					$tax = get_taxonomy( get_queried_object()->taxonomy );
					/* translators: 1: Taxonomy singular name, 2: Current taxonomy term */
					$title = sprintf( __( '%1$s: %2$s','apricot' ), $tax->labels->singular_name, single_term_title( '', false ) );
				} else {
					$title = __( 'Archives','apricot' );
				}

				echo apply_filters( 'get_the_archive_title', $title );
				?></h2>
			</div>

			<?php
			if ( have_posts() )
			{
				if ($theme_columns=='two')
				{
					echo "<div class='row block-cover'><div class='block-one large-6 medium-6 column'>";
				}
				$one = '';
				$two = '';
				$i = 0;
				while ( have_posts() ) : the_post(); ?>
				<?php
				$i++;
				if ($i % 2 == 0 && $theme_columns=='two')
				{
					$two.= load_template_part('content');
				}
				else
				{
					$one.= load_template_part('content');
				}
				?>
				<?php
				endwhile;
				if ($theme_columns=='two')
				{
					echo "$one</div><div class='block-two large-6 medium-6 column'>$two</div></div>";
				}
				else
				{
					echo $one;
				}
			}
			else {
				?>

				<div class='not-found'>

					<icon class='icon-emo-unhappy'></icon>

					<h2><?php _e('Sorry, nothing','apricot'); ?></h2>

				</div>

				<?php }  ?>

				<?php the_posts_pagination( array(
					'prev_text'          => __( 'Previous', 'apricot' ),
					'next_text'          => __( 'Next', 'apricot' ),
					'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( '', 'apricot' ) . ' </span>',
					) ); ?>
				</div>

				<?php 
				if ($sidebar_archive)
				{
					?>
					<div class='large-3 column sidebar1-cover'>
						<?php get_sidebar(); ?>
					</div>
					<?php
				}
				?>	

			</div>

			<?php get_footer(); ?>