<?php
/**
 * The template for displaying Author bios
 *
 * @package WordPress
 * @subpackage Apricot
 * @since Apricot 1.0
 */
?>

<?php get_header(); ?>

<div id="content" class="row">

	<div class='<?php echo $sidebar_archive==true ? 'large-9' : 'large-12'; ?> column list-posts'>
		<div id='archive-head' class='card'>
						<span class='label-right'><?php _e('author','apricot'); ?></span>
				<div class='author-left'>
					<?php
					echo "<div author-id=".get_the_author_meta('ID')." class='circle-author'>".get_avatar( get_the_author_meta('ID'), 96 )."</div>";
					?>
				</div>
				<div class='author-right'>
					<?php
					echo '<div class="entry-author byline author" itemprop="author" itemscope itemtype="http://schema.org/Person">' . get_the_author_link( get_the_author_meta('ID' ) );
					echo '</div>';
					echo get_the_author_meta('description');
					?>
							<div class='social-links'>
								<?php
								echo get_the_author_meta('facebook')!='' ? "<a target='_blank' href='".get_the_author_meta('facebook')."'><i class='icon-facebook-squared'></i></a>" : "";
								echo get_the_author_meta('twitter')!='' ? "<a target='_blank' href='".get_the_author_meta('twitter')."'><i class='icon-twitter'></i></a>" : "";
								echo get_the_author_meta('linkedin')!='' ? "<a target='_blank' href='".get_the_author_meta('linkedin')."'><i class='icon-linkedin-squared'></i></a>" : "";
								echo get_the_author_meta('instagram')!='' ? "<a target='_blank' href='".get_the_author_meta('instagram')."'><i class='icon-instagramm'></i></a>" : "";
								echo get_the_author_meta('pinterest')!='' ? "<a target='_blank' href='".get_the_author_meta('pinterest')."'><i class='icon-pinterest-circled'></i></a>" : "";
								echo get_the_author_meta('gplus')!='' ? "<a target='_blank' href='".get_the_author_meta('gplus')."'><i class='icon-gplus'></i></a>" : "";
								echo get_the_author_meta('tumblr')!='' ? "<a target='_blank' href='".get_the_author_meta('tumblr')."'><i class='icon-tumblr'></i></a>" : "";
								?>
							</div>
				</div>
		</div>

		<?php
		if ( have_posts() )
		{
			if ($theme_columns=='two')
			{
				echo "<div class='row block-cover'><div class='block-one large-6 medium-6 column'>";
			}
			$one = '';
			$two = '';
			$i = 0;
			while ( have_posts() ) : the_post(); ?>
			<?php
			$i++;
			if ($i % 2 == 0 && $theme_columns=='two')
			{
				$two.= load_template_part('content');
			}
			else
			{
				$one.= load_template_part('content');
			}
			?>
			<?php
			endwhile;
			if ($theme_columns=='two')
			{
				echo "$one</div><div class='block-two large-6 medium-6 column'>$two</div></div>";
			}
			else
			{
				echo $one;
			}
		}
		else {
			?>

			<div class='not-found'>

				<icon class='icon-emo-unhappy'></icon>

				<h2><?php _e('Sorry, nothing','apricot'); ?></h2>

			</div>

			<?php }  ?>

			<?php the_posts_pagination( array(
				'prev_text'          => __( 'Previous', 'apricot' ),
				'next_text'          => __( 'Next', 'apricot' ),
				'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( '', 'apricot' ) . ' </span>',
				) ); ?>
			</div>

				<?php 
				if ($sidebar_archive)
				{
					?>
					<div class='large-3 column sidebar1-cover'>
						<?php get_sidebar(); ?>
					</div>
					<?php
				}
				?>	


		</div>

		<?php get_footer(); ?>