<?php
/**
 * The template for displaying Comments
 *
 * @package WordPress
 * @subpackage Apricot
 * @since Apricot 1.0
 */
?>

<?php
if ( post_password_required() ) {
  return;
}
?>
<div id="comments" class="comments-area">

  <?php if ( have_comments() ) : ?>
    <h2 class="comments-title">
      <?php
      printf( _nx( 'One comment', '%1$s comments', get_comments_number(), 'comments title', 'apricot' ), number_format_i18n( get_comments_number() ), get_the_title() );
      ?>
    </h2>
    <ol class="comment-list card">
      <?php
      wp_list_comments( array(
        'style'       => 'ol',
        'short_ping'  => true,
        'avatar_size' => 56,
        ) );
      $prev = get_previous_comments_link();
      $next = get_next_comments_link();

      if ( '' !== $prev . $next )
      {
        echo "<div class='comment-pagination'>";
        paginate_comments_links();
        echo "</div>";
      }
      ?>
    </ol>
  <?php endif; ?>
  <?php
  if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
    ?>
  <p class='no-comments article-section-head'><?php _e( 'Comments are closed.', 'apricot' ); ?></p>
<?php endif; ?>
<?php comment_form(); ?>

</div>
