<?php
/**
 * The template for displaying Post Content
 *
 * @package WordPress
 * @subpackage Apricot
 * @since Apricot 1.0
 */
?>

			<article class='list <?php echo get_post_gallery() ? 'has-gallery' : ''; ?> <?php echo strlen(get_the_content())==0 ? 'no-content' : 'has-content'; ?> <?php echo implode(get_post_class(),' '); ?>'>
				<div class='header-cover'>
				<span class='sticky-pin'><i class='icon-pin'></i></span>
				<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( ), 'large' );
				if ( get_post_format()=='video' && get_post_meta(get_the_ID(), 'apricot_video', true) )
				{
					echo "<div class='embed'>".wp_oembed_get(get_post_meta(get_the_ID(), 'apricot_video', true), array('height'=>420))."</div>";
				}
				else if ( get_post_format()=='audio' && get_post_meta(get_the_ID(), 'apricot_audio', true) )
				{
					echo "<div class='embed-audio'>".wp_oembed_get(get_post_meta(get_the_ID(), 'apricot_audio', true))."</div>";
				}
				else if ( get_post_gallery() )
				{
					if (get_post_format()=='gallery')
					{
						$gallery = get_post_gallery(get_the_ID(),false);
						echo "<div class='apricot_gallery'><div class='slider-gallery gallery' style='display:none'>";
						foreach ($gallery['src'] as $key => $value) {
							echo "<img alt='' src='$value'/>";
						}
						echo "</div></div>";
					}
				}
				else if (isset($image[0]))
				{
					echo "<img alt='' class='general-image' src='$image[0]'/>";
				}
				if ( get_post_format()=='quote' && get_post_meta(get_the_ID(), 'apricot_quote', true) )
				{
					echo "<a class='quote-cover' href='".get_the_permalink()."'><span class='embed-quote-quote'>&#8220;</span><h2 class='embed-quote'>".get_post_meta(get_the_ID(), 'apricot_quote', true)."<span class='quote-author'>".get_post_meta(get_the_ID(), 'apricot_quote_author', true)."</span></h2></a>";
				}
				?>
					<?php echo '<time class="bubble-date entry-time" datetime="' . get_the_time('Y-m-d') . '" itemprop="datePublished"><span class="date-day">' . get_the_time(get_option('date_format')) . '</span></time>'; ?>
					<div class='comments-nos-cover'>
						<?php comments_number( __( '', 'whitespacetheme' ), __( '<span>1</span><i class="icon-comment-empty"></i>', 'whitespacetheme' ), __( '<span>%</span><i class="icon-comment-empty"></i>', 'whitespacetheme' ) );?>
					</div>
				</div>
					<div class='content-cover'>
						<span class='category-link'><?php the_category(', '); ?></span>
						<h2 class='post-title'><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
						<?php
						echo '<span class="entry-author author">by ';
						the_author_posts_link( );
						echo  '</span>';
						?>
						<div class='dividers'></div>
						<div class='article-content'><?php the_content('continue reading'); ?></div>
					</div>
			</article>