<?php
/**
 * The template for displaying Header
 *
 * @package WordPress
 * @subpackage Apricot
 * @since Apricot 1.0
 */
?><!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes() ?>>
<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<?php if(get_theme_mod('apricot_favicon')) : ?>
		<link rel="shortcut icon" href="<?php echo get_theme_mod('apricot_favicon'); ?>" />
	<?php endif;
	wp_head(); ?>
</head>

<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">
	<div id='container'>
		<header id='header' class='row <?php echo isset($_GET['s']) ? 'show-search' : ''; ?>'>
			<div>
				<h1><a href="<?php echo home_url(); ?>/"><?php
					if (get_theme_mod('apricot_header_logo')!='')
					{
						echo "<img id='site_logo' src='".get_theme_mod('apricot_header_logo')."'/>";
					}
					else
					{
						bloginfo('name');
					}
					?></a></h1>
					<span class='small-logo'><a href="<?php echo home_url(); ?>/"><?php bloginfo('name'); ?></a></span>
					<span id='mobile-menu'><i class='icon-menu'></i></span>
					<p class="site_description"><?php bloginfo('description'); ?></p>
					<?php
					wp_nav_menu(array(
						'container' => false,                          		 /* remove nav container */
						'container_class' => '',              		  		 /* class of container (should you choose to use it) */
						'menu' => __( 'The Main Menu', 'apricot' ),			 /* nav name */
						'menu_class' => 'nav',              				 /* adding custom nav class */
						'menu_id' => 'top-nav',              				 /* adding custom nav class */
						'theme_location' => 'main-nav',                		 /* where it's located in the theme */
						'before' => '',                                		 /* before the menu */
						'after' => '',                                 		 /* after the menu */
						'link_before' => '',                           		 /* before each link */
						'link_after' => '',                            		 /* after each link */
						'depth' => 0,                                  		 /* limit the depth of the nav */
						'fallback_cb' => ''                            		 /* fallback function (if there is one) */
						)); 
						?>
						<div class='search-form-cover'>
							<span><i class='icon-search'></i></span>
							<form role="search" method="get" id="searchform" class="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>">
								<input type="text" placeholder="<?php _e( 'type and hit Enter', 'apricot' ); ?>" value="<?php echo get_search_query(); ?>" name="s" id="s" />
								<button type="submit" id="searchsubmit"></button>
							</form>
						</div>
						<div class='social-links'>
							<?php
							echo get_theme_mod('apricot_facebook')!='' ? "<a target='_blank' href='".get_theme_mod('apricot_facebook')."'><i class='icon-facebook-squared'></i></a>" : "";
							echo get_theme_mod('apricot_twitter')!='' ? "<a target='_blank' href='".get_theme_mod('apricot_twitter')."'><i class='icon-twitter'></i></a>" : "";
							echo get_theme_mod('apricot_instagram')!='' ? "<a target='_blank' href='".get_theme_mod('apricot_instagram')."'><i class='icon-instagramm'></i></a>" : "";
							echo get_theme_mod('apricot_pinterest')!='' ? "<a target='_blank' href='".get_theme_mod('apricot_pinterest')."'><i class='icon-pinterest-circled'></i></a>" : "";
							echo get_theme_mod('apricot_gplus')!='' ? "<a target='_blank' href='".get_theme_mod('apricot_gplus')."'><i class='icon-gplus'></i></a>" : "";
							echo get_theme_mod('apricot_tumblr')!='' ? "<a target='_blank' href='".get_theme_mod('apricot_tumblr')."'><i class='icon-tumblr'></i></a>" : "";
							?>
						</div>
					</div>
				</header>