<?php
/**
 * The template for displaying Index page
 *
 * @package WordPress
 * @subpackage Apricot
 * @since Apricot 1.0
 */
?>


<?php get_header(); ?>

<div id="content" class="row">

	<?php

	if ($featured!=0 && !empty($featured))
	{
		echo "<div class='large-12 column featured-cover'><div class='card'>";
		foreach ($featured as $key => $value) {
			$post = get_post( $value );
			if ($post!=NULL)
			{
				setup_postdata($post);
				echo "<div class='featured-post featured-".$key."'>";
				?>
				<article class='list <?php echo get_post_gallery() ? 'has-gallery' : ''; ?> <?php echo strlen(get_the_content())==0 ? 'no-content' : 'has-content'; ?> <?php echo implode(get_post_class(),' '); ?>'>
					<div class='header-cover'>
						<span class='sticky-pin'><i class='icon-pin'></i></span>
						<div class='comments-nos-cover'>
							<?php comments_number( __( '', 'whitespacetheme' ), __( '<span>1</span><i class="icon-comment-empty"></i>', 'whitespacetheme' ), __( '<span>%</span><i class="icon-comment-empty"></i>', 'whitespacetheme' ) );?>
						</div>
						<a class='bg-layer' href="<?php the_permalink() ?>">
						</a>
						<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( ), 'large' );
						if ( get_post_format()=='video' && get_post_meta(get_the_ID(), 'apricot_video', true) )
						{
							echo "<div class='embed'>".wp_oembed_get(get_post_meta(get_the_ID(), 'apricot_video', true), array('height'=>420))."</div>";
						}
						else if (isset($image[0]))
						{
							echo "<img alt='' class='general-image' src='$image[0]'/>";
						}
						if ( get_post_format()=='quote' && get_post_meta(get_the_ID(), 'apricot_quote', true) )
						{
							echo "<a class='quote-cover' href='".get_the_permalink()."'><span class='embed-quote-quote'>&#8220;</span><h2 class='embed-quote'>".get_post_meta(get_the_ID(), 'apricot_quote', true)."<span class='quote-author'>".get_post_meta(get_the_ID(), 'apricot_quote_author', true)."</span></h2></a><div class='article-info'>";
						}
						else
						{
							?>
							<div class='article-info'>
							<?php
						}
						?>
						<?php
						echo '<span class="entry-author author">by ';
						the_author_posts_link( );
						echo  ' | </span>';
						echo ' <time class="entry-time" datetime="' . get_the_time('Y-m-d') . '" itemprop="datePublished"><span class="date-day">' . get_the_time(get_option('date_format')) . '</span></time>';
						?>
						</div>
						<h2 class='post-title'><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
					</div>
				</article>
				<?php
				echo "</div>";
				wp_reset_query();
			}
		}
		echo "</div></div>";
	}

	?>


	<div class='<?php echo $sidebar_home==true ? 'large-9' : 'large-12'; ?> column list-posts'>

		<?php

		if ( have_posts() )
		{
			if ($theme_columns=='two')
			{
				echo "<div class='row block-cover'><div class='block-one large-6 medium-6 column'>";
			}
			$one = '';
			$two = '';
			$i = 0;
			while ( have_posts() ) : the_post(); ?>
			<?php
			if ( isset($featured) && is_array($featured) )
			{
			if (in_array(get_the_ID(), $featured)) { continue; }
			}
			$i++;
			if ($i % 2 == 0 && $theme_columns=='two')
			{
				$two.= load_template_part('content');
			}
			else
			{
				$one.= load_template_part('content');
			}
			?>
			<?php
			endwhile;
			if ($theme_columns=='two')
			{
				echo "$one</div><div class='block-two large-6 medium-6 column'>$two</div></div>";
			}
			else
			{
				echo $one;
			}
		}
		else {
			?>

			<div class='not-found'>

				<h2><?php _e('Whoops...','apricot'); ?></h2>

				<p><?php _e('Sorry, no posts were found','apricot'); ?></p>

			</div>

			<?php }  ?>

			<?php the_posts_pagination( array(
				'prev_text'          => __( 'Previous', 'apricot' ),
				'next_text'          => __( 'Next', 'apricot' ),
				'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( '', 'apricot' ) . ' </span>',
				) ); ?>
			</div>

			
			<?php 
			if ($sidebar_home)
			{
				?>
				<div class='large-3 column sidebar1-cover'>
					<?php get_sidebar(); ?>
				</div>	
				<?php
			}
			?>
			


		</div>

		<?php get_footer(); ?>