<?php
/**
 * The template for displaying Single post
 *
 * @package WordPress
 * @subpackage Apricot
 * @since Apricot 1.0
 */
?>


<?php get_header(); ?>

<div id="content" class="row">

	<div class='<?php echo $sidebar_post==true ? 'large-9' : 'large-12'; ?> column list-posts'>

		<?php
		if ( have_posts() )
		{
			while ( have_posts() ) : the_post(); ?>

			<article <?php post_class(); ?>>
				<div class='header-cover'>
					<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( ), 'large' );
					if ( get_post_format()=='video' && get_post_meta(get_the_ID(), 'apricot_video', true) )
					{
						echo "<div class='embed'>".wp_oembed_get(get_post_meta(get_the_ID(), 'apricot_video', true), array('height'=>420))."</div>";
					}
					else if ( get_post_format()=='audio' && get_post_meta(get_the_ID(), 'apricot_audio', true) )
					{
						echo "<div class='embed-audio'>".wp_oembed_get(get_post_meta(get_the_ID(), 'apricot_audio', true))."</div>";
					}
					else if ( get_post_gallery() )
					{
						if (get_post_format()=='gallery')
						{
							add_filter( 'the_content', 'apricot_strip_first_content_gallery' );
							$gallery = get_post_gallery(get_the_ID(),false);
							echo "<div class='apricot_gallery'><div class='slider-gallery gallery' style='display:none'>";
							foreach ($gallery['src'] as $key => $value) {
								echo "<img alt='' src='$value'/>";
							}
							echo "</div></div>";
						}
					}
					else if (isset($image[0]))
					{
						echo "<img alt='' class='general-image' src='$image[0]'/>";
					}
					if ( get_post_format()=='quote' && get_post_meta(get_the_ID(), 'apricot_quote', true) )
					{
						echo "<div class='quote-cover'><span class='embed-quote-quote'>&#8220;</span><div class='embed-quote'>".get_post_meta(get_the_ID(), 'apricot_quote', true)."<span class='quote-author'>".get_post_meta(get_the_ID(), 'apricot_quote_author', true)."</span></div></div>";
					}
					?>
				</div>
				<div class='content-cover'>
					<span class='category-link'><?php the_category(', '); echo ' | <time class="entry-time" datetime="' . get_the_time('Y-m-d') . '" itemprop="datePublished">' . get_the_time('F j, Y') . '</time>'; ?></span>
					<h1 class='post-title'><?php the_title(); ?></h1>
					<div class='dividers'></div>
					<div class='article-content'><?php the_content('continue reading'); ?></div>
					<?php
					wp_link_pages( array(
						'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'twentyfifteen' ) . '</span>',
						'after'       => '</div>',
						'link_before' => '<span>',
						'link_after'  => '</span>',
						'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'twentyfifteen' ) . ' </span>%',
						'separator'   => '<span class="screen-reader-text">, </span>',
						) );
						?>					
						<div class='footer'>
							<span class='tags-single'>
							</span>
							<span>
							<i class='icon-tags'></i>
								<?php
								the_tags('',', ','<br>');
								?>
							</span>
						</div>
					</div>
					<footer>
						<div class='author-left'>
							<?php
							echo "<div data-author-id=".get_the_author_meta('ID')." class='circle-author'>".get_avatar( get_the_author_meta('ID'), 96 )."</div>";
							?>
						</div>
						<div class='author-right'>
							<?php
							echo '<div class="entry-author byline author" itemprop="author" itemscope itemtype="http://schema.org/Person">';
							the_author_posts_link( );
							echo '</div>';
							echo get_the_author_meta('description');
							?>
							<div class='social-links'>
								<?php
								echo get_the_author_meta('facebook')!='' ? "<a target='_blank' href='".get_the_author_meta('facebook')."'><i class='icon-facebook-squared'></i></a>" : "";
								echo get_the_author_meta('twitter')!='' ? "<a target='_blank' href='".get_the_author_meta('twitter')."'><i class='icon-twitter'></i></a>" : "";
								echo get_the_author_meta('linkedin')!='' ? "<a target='_blank' href='".get_the_author_meta('linkedin')."'><i class='icon-linkedin-squared'></i></a>" : "";
								echo get_the_author_meta('instagram')!='' ? "<a target='_blank' href='".get_the_author_meta('instagram')."'><i class='icon-instagramm'></i></a>" : "";
								echo get_the_author_meta('pinterest')!='' ? "<a target='_blank' href='".get_the_author_meta('pinterest')."'><i class='icon-pinterest-circled'></i></a>" : "";
								echo get_the_author_meta('gplus')!='' ? "<a target='_blank' href='".get_the_author_meta('gplus')."'><i class='icon-gplus'></i></a>" : "";
								echo get_the_author_meta('tumblr')!='' ? "<a target='_blank' href='".get_the_author_meta('tumblr')."'><i class='icon-tumblr'></i></a>" : "";
								?>
							</div>
						</div>
					</footer>
					<div class='related-links'>
						<span class='left'><?php previous_post_link('&larr; %link'); ?></span>
						<span class='right'><?php next_post_link('%link &rarr;'); ?></span>
					</div>
				</article>

				<?php
				endwhile;
			}
			?>



			<?php  
			$orig_post = $post;  
			global $post;  
			$tags = wp_get_post_tags($post->ID);

			if ($tags && get_theme_mod('apricot_related_posts',1)) {  
				?>
				<h3 class='related-title article-section-head'><?php _e('Related Posts','apricot'); ?></h3>
				<div class='relatedposts card'>
					<div>
						<?php
						$tag_ids = array();  
						foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;  
						$args=array(  
							'tag__in' => $tag_ids,  
							'post__not_in' => array($post->ID),  
							'posts_per_page'=>4,
							'ignore_sticky_posts'=>1  
							);  
						$my_query = new wp_query( $args );  

						while( $my_query->have_posts() ) {  
							$my_query->the_post();  
							?>
							<div class="relatedthumb medium-3 small-6 columns">  
								<a rel="external" href="<?php the_permalink()?>"><span><?php the_post_thumbnail('large'); ?></span> 
									<h4><?php the_title(); ?></h4>
									<?php echo '<time class="post-date" datetime="' . get_the_time('Y-m-d') . '" itemprop="datePublished">' . get_the_time(get_option('date_format')) . '</time>'; ?>
								</a>  
							</div>
							<?php }  
							?>
						</div>
					</div>
					<?php
				}  
				$post = $orig_post;  
				wp_reset_query();  
				?>  
				<div id='comments-cover'>
					<?php comments_template(); ?>
				</div>
			</div>

			<?php 
			if ($sidebar_post)
			{
				?>
				<div class='large-3 column sidebar1-cover'>
					<?php get_sidebar(); ?>
				</div>	
				<?php
			}
			?>


		</div>

		<?php get_footer(); ?>